Package org.apache.commons.math3.exception

# Class OutOfRangeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.exception.MathIllegalNumberException
org.apache.commons.math3.exception.OutOfRangeException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class OutOfRangeException extends MathIllegalNumberException
Exception to be thrown when some argument is out of range.

Since:
  2.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`INTEGER_ZERO`

## Constructor Summary

Constructors
Constructor
Description
`OutOfRangeException(Number wrong, Number lo, Number hi)`
Construct an exception from the mismatched dimensions.
`OutOfRangeException(Localizable specific, Number wrong, Number lo, Number hi)`
Construct an exception from the mismatched dimensions with a specific context information.

## Method Summary

Modifier and Type
Method
Description
`Number`
`getHi()`
`Number`
`getLo()`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

`getArgument`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OutOfRangeException

public OutOfRangeException(Number wrong, Number lo, Number hi)
Construct an exception from the mismatched dimensions.

Parameters:
  `wrong` - Requested value.
  `lo` - Lower bound.
  `hi` - Higher bound.

### OutOfRangeException

public OutOfRangeException(Localizable specific, Number wrong, Number lo, Number hi)
Construct an exception from the mismatched dimensions with a specific context information.

Parameters:
  `specific` - Context information.
  `wrong` - Requested value.
  `lo` - Lower bound.
  `hi` - Higher bound.

## Method Details

### getLo

public Number getLo()

Returns:
  the lower bound.

### getHi

public Number getHi()

Returns:
  the higher bound.